﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="title">
            <h1>
                Donation Report
            </h1>
            <h3>
                Total: {{TotalAmount}}
            </h3>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
            @*<a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Share Report" ng-click="shareReport()">
                    <i style="margin-top: 11px;" class="fg-black icon-share-2"></i>
                </a>*@
            @*<a class="action on-left-more" jb-tooltip="" data-toggle="tooltip" data-placement="bottom" title="" ng-click="MakeCampaign()" data-original-title="Email members">
                    <i style="margin-top: 11px;" class="fg-black jbi-email"></i>
                </a>*@
        </div>
        <div class="clearfix"></div>
        <div ng-if="MC.account.isPartner">
            <div class="place-left one-fourth padding-right20" >
                <div class="input-control choosen" data-role="input-control">
                    <label class="req-star">Organization </label>
                    <select chosen ng-change="getClubs(Model.ClubType)" ng-model="Model.ClubType" ng-options="obj.Value as obj.Title for obj in ClubTypes"></select>
                </div>
            </div>
            <div class="place-left one-fourth padding-right20">
                <div class="input-control choosen" data-role="input-control">
                    <label class="req-star">Member </label>
                    <select chosen
                            ng-model="Model.ClubId"
                            data-placeholder="Select"
                            ng-options="obj.Value as obj.Text for obj in AllClubs"></select>

                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div style="padding-right: 10px;">
            <div>
                <div class="place-left one-fourth padding-right20">
                    <div data-format="mm/dd/yyyy" data-effect="fade">
                        <label class="req-star">Start date</label>
                        <input kendo-date-picker ng-model="Model.UpdateFrom" type="text" placeholder="mm/dd/yyyy" />
                    </div>
                </div>
                <div class="place-left one-fourth padding-right20">
                    <div data-format="mm/dd/yyyy" data-effect="fade">
                        <label class="req-star">End date</label>
                        <input kendo-date-picker ng-model="Model.UpdateTo" type="text" placeholder="mm/dd/yyyy" />
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
        <input class="default button place-right" type="button" value="Filter data" ng-click="filterData()">
        <div class="clearfix"></div>
        <br />
        <input class="default button place-right" type="button" value="Clear filter" ng-click="clearFilters()">
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="DonationsReportGrid" options="DonationsReportGridOptions" class="scroll resizable"></kendo-grid>
                <script type="text/x-kendo-template" id="template">
                    <div class="tabstrip">
                        <div>
                            <div class="orders"></div>
                        </div>
                    </div>
                </script>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</div>
